# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "javelin"
version = "0.2.2"
authors = ["Patrick Auernig <dev.patrick.auernig@gmail.com>"]
description = "RTMP streaming server"
readme = "README.md"
keywords = ["rtmp", "streaming", "media"]
license = "GPL-3.0"
repository = "https://gitlab.com/valeth/javelin.git"
[dependencies.bytes]
version = "^0.4"

[dependencies.clap]
version = "~2.32"

[dependencies.futures]
version = "^0.1"

[dependencies.log]
version = "^0.4"
features = ["max_level_debug", "release_max_level_info"]

[dependencies.native-tls]
version = "0.2"
optional = true

[dependencies.parking_lot]
version = "^0.7"

[dependencies.rml_rtmp]
version = "^0.2"

[dependencies.simplelog]
version = "^0.5"

[dependencies.tokio]
version = "^0.1"

[dependencies.tokio-tls]
version = "0.2"
optional = true

[features]
default = ["tls"]
tls = ["native-tls", "tokio-tls"]
